//=============================================================================
// PILLS.
//=============================================================================
class PILLS extends VialAmbrosia;


var localized String msgNoEffect;

simulated function PreBeginPlay()
{
  Super.PreBeginPlay();
  
  //If this is a netgame, then override defaults.
  if ( Level.NetMode != NM_StandAlone )
		MaxCopies = 5;
		
}

state Activated
{
	function Activate()
	{
		// can't turn it off
	}

	function BeginState()
	{
		local DeusExPlayer player;
		local bool bPillsTaken;
		

		player = DeusExPlayer(Owner);
		if (player != None)
		{
			player.drugEffectTimer += 60.0;
			player.HealPlayer(-10, False);
			player.ClientMessage("Give in to the madness, as you have opened PILLS!");
			bPillsTaken=True;
			
			}
			
			if(!bPillsTaken)
			{
			player.ClientPlaySound(sound'GrayPainSmall');
                        Spawn(class'DXCS.StrangePigeon',,,Player.Location + (Player.CollisionRadius+30) * Vector(player.Rotation) + vect(0,0,1) * 15 );

			}
			
			
			

		

		UseOnce();
	}
Begin:

 }

defaultproperties
{
     bCanHaveMultipleCopies=False
     ItemName="PILLS"
     ItemArticle="some"
     ProtectionType1=Burned
     ProtectionType2=Poison
     ActivateSound=Sound'DeusExSounds.Animal.GreaselPainSmall'
     DeActivateSound=Sound'DeusExSounds.Animal.GreaselPainLarge'
     M_Activated=" taken"
     Description=""
     beltDescription="PILLS"
}
